Subject: Re: [ANNOUNCE] Git v2.38.0-rc0

From: Đoàn Trần Công Danh <[email-masked]>
Date: Mon, 19 Sep 2022 23:24:02 +0700

On 2022-09-15 19:37:07-0700, Junio C Hamano <[email-masked]> wrote:
> UI, Workflows & Features
> 
>  * "git remote show [-n] frotz" now pays attention to negative
>    pathspec.
> 
>  * "git push" sometimes perform poorly when reachability bitmaps are

I see that most reference to command use third singular form.
Maybe s/perform/&s/

>    used, even in a repository where other operations are helped by
>    bitmaps.  The push.useBitmaps configuration variable is introduced
>    to allow disabling use of reachability bitmaps only for "git push".

[...]

>  * "git format-patch --from=<ident>" can be told to add an in-body
>    "From:" line even for commits that are authored by the given
>    <ident> with "--force-in-body-from"option.

Maybe a space between last double-quote '"' and 'option'

[...]

> Performance, Internal Implementation, Development Support etc.
> 
>  * Apply Coccinelle rule to turn raw memmove() into MOVE_ARRAY() cpp
>    macro, which would improve maintainability and readability.

[...]

>  * A coccinelle rule (in contrib/) to encourage use of COPY_ARRAY
>    macro has been improved.

Maybe title-case 'coccinelle' for consistency.

> Fixes since v2.37
> -----------------

[...]
>  * "git fsck" reads mode from tree objects but canonicalizes the mode
>    before passing it to the logic to check object sanity, which has
>    hid broken tree objects from the checking logic.  This has been
>    corrected, but to help exiting projects with broken tree objects

s/exiting/existing/ perhap?

>    that they cannot fix retroactively, the severity of anomalies this
>    code detects has been demoted to "info" for now.

-- 
Danh